// document.addEventListener("DOMContentLoaded", () => {
//   $('#modal-loader').modal();
// });
'use strict';
// addEventListener("DOMContentLoaded", function() {
//   $('#modal-loader').modal();
// });
window.addEventListener( 'load', function( event )
 { 
    $.fn.datepicker.dates['en'] = {
        days: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
        daysShort: ["Dom", "Lun", "Mar", "Mier", "Jue", "Vier", "Sab"],
        daysMin: ["D", "L", "Ma", "Mi", "J", "V", "S"],
        months: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
        monthsShort: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"],
        today: "Today",
        clear: "Clear",

        weekStart: 0
    };

    $.datepicker.setDefaults($.datepicker.regional['en']);
    console.log("sdafasdfasdf");
     
     var today = new Date();
    /* $(".date-picker").attr("data-date-end-date","today+2m");*/
     $(".date-picker").datepicker({
        isRTL: false,
        format: "yyyy-mm-dd",
       /* yearRange: "0000",*/
        viewMode: "months,days", 
        minViewMode: "months,days",
        autoclose: true,
           startDate: new Date(today.getFullYear(), today.getMonth(), today.getDate()),
           todayHighlight: true,
           /*setDate:"getDate",*/
           /*startDate: today,*/
        /*endDate: "+3d"*/
                   
    });
    $('#nuevoClienteMC').on('shown.bs.tooltip', function(){
      $('.tooltip-inner').css('background-color', 'black');
    });
    $('#adeudoClienteMC').on('shown.bs.tooltip', function(){
      $('.tooltip-inner').css('background-color', 'black');
    });
    $('.time-picker').clockpicker({
        autoclose: true,
          /* twelvehour:true,*/
    });
    // Autocompletado---------------------------------
    $("#clienteNC").autocomplete({
        source: base_url+"/agenda/franquiciatario/agregarcitaF/clientes/?",

        select: function (event, ui) {
                 
                   $('[name="idClienteO"]').val(ui.item.id);
                   $('[name="nombreClienteO"]').val(ui.item.label);
                   $('[name="clienteNC"]').val(ui.item.label);
                   console.log(ui.item.label);
                   var boton="adeudoClienteMC";
                  buscarAdeudos(ui.item.id, boton);                   
                 }
           });
$("#tratamientoNC").autocomplete({
    source: base_url+"agenda/franquiciatario/agregarcitaF/servicios/?",

    select: function (event, ui) {
        $('[name="tratamientoNC"]').val(ui.item.label);
        	if(ui.item.identificador=='SA' || ui.item.identificador=='SG')
        	{
        	$('[name="idServicio"]').val(ui.item.id);
        	$('[name="nombreServicio"]').val(ui.item.label);
        	$('[name="idPromocion"]').val('');
            $('[name="nombrePromocion"]').val('');
        	}else
        	{
        	if(ui.item.identificador=='PI' || ui.item.identificador=='PF')
        	{                    
        	$('[name="idPromocion"]').val(ui.item.sesiones);
            $('[name="nombrePromocion"]').val(ui.item.label);
            $('[name="idServicio"]').val('');
        	$('[name="nombreServicio"]').val('');
        	}
        }  
             }
});
$("#busquedaServicioP").autocomplete({
  source: base_url+"agenda/franquiciatario/agregarcitaF/servicios/?",

  select: function (event, ui) {
      $('#busquedaServicioP').val(ui.item.label);
        if(ui.item.identificador=='SA' || ui.item.identificador=='SG')
        {
        $('#txtServicios-hidden').val(ui.item.id);
        $('#txtServicios').val(ui.item.label);
        $('#txtPromociones').val('');
        $('#txtPromociones-hidden').val('');
        }else
        {
        if(ui.item.identificador=='PI' || ui.item.identificador=='PF')
        {                    
          $('#txtPromociones-hidden').val(ui.item.sesiones);
          $('#txtPromociones').val(ui.item.label);
          $('#txtServicios-hidden').val('');
          $('#txtServicios').val('');
        }
      }  
           }
});
    // fin autocompletdo------------------------------
    // $('#inicioNC').on('changeTime', function() {
    //     var inicio = $(this).val();
    //     console.log(inicio);
    //     $('#finNC').timepicker('option',{'minTime':inicio});
    //   });
      $('#inicioNC').on('change', function() {
        var inicio = $(this).val();
        var fin=$('#finNC').val();
        if(fin!=''){
          var dt1 = moment(inicio, ["h:mm A"]).format("HH:mm:ss");
          var dt2 = moment(fin, ["h:mm A"]).format("HH:mm:ss");
          //   if(dt1>dt2)
          //   {
          //     $(this).val(fin);
          //     $('#finNC').timepicker('option',{'minTime':fin});
          //   }
            duracion(dt1, dt2);
        }
        if($(this).val()=="")
        {
          console.log("Cambio a vacio");
          $('#finNC').timepicker('option',{'minTime': '7:00 AM', 'maxTime': '10:00 PM'});
        }
      });
        // $('#finNC').on('changeTime', function() {
        //         var fin = $(this).val();
        //     $('#inicioNC').timepicker('option',{'maxTime': fin});
        // });
        $('#finNC').on('change', function() {
          var fin = $(this).val();
          var inicio=$('#inicioNC').val();
          if(inicio!=''){
            var dt1 = moment(inicio, ["h:mm A"]).format("HH:mm:ss");
            var dt2 = moment(fin, ["h:mm A"]).format("HH:mm:ss");
            //   if(dt2<dt1)
            //   {
            //     $(this).val(inicio);
            //     $('#inicioNC').timepicker('option',{'maxTime': inicio});
            //   }
              duracion(dt1, dt2);
          }
          if($(this).val()=="")
          {
            console.log("Cambio a vacio");
            $('#inicioNC').timepicker('option',{'minTime': '7:00 AM', 'maxTime': '10:00 PM'});
          }
        });
        $("#clienteNC").on("keyup", function() {
              
            if ($("#clienteNC").val() != $("#nombreClienteO").val()) {
               document.getElementById("idClienteO").value="";
               document.getElementById("adeudoClienteMC").classList.add('invisible');
             }
         });
         $("#tratamientoNC").on("keyup", function() {              
            if ($("#tratamientoNC").val() != $("#nombreServicio").val()) {
               document.getElementById("idServicio").value="";
             }
             else{
                 if($("#tratamientoNC").val() != $("#nombrePromocion").val())
                 {
                    document.getElementById("idPromocion").value="";
                 }
             }
         });
        var botonGuardarCita= document.querySelector('#guardarCita');
        var botonVerCliente= document.querySelector('#verCliente');
        var botonAdeudosE= document.querySelector('#adeudoCliente');
        var botonNuevoCliente= document.querySelector('#nuevoClienteMC');
        var botonGuardarCliente= document.querySelector('#guardarNuevoCliente');
        var botonCancelarNuevoCliente= document.querySelector('#cancelarNuevoCliente');
        var botonAdeudosNC= document.querySelector('#adeudoClienteMC');
        var botonCerrarAdeudos= document.querySelector('#cerrarModalAdeudos');
        


        botonGuardarCita.addEventListener('click', function(e){
            console.log('guardar cita');

            var cliente = document.getElementById('idClienteO').value,
                nombreCliente=document.getElementById('clienteNC').value,
                nombreTratamiento=document.getElementById('tratamientoNC').value,
                servicio = document.getElementById("idServicio").value,
                promocion = document.getElementById("idPromocion").value,
                fecha = document.getElementById('fechaNC').value,
                inicio=document.getElementById('inicioNC').value,
                fin=document.getElementById('finNC').value,
                cabina=document.getElementById('cabinaNC').value,
                status=document.getElementById('statusNC').value,
                cosmetologo=document.getElementById('cosmetologoNC').value,
                observaciones=document.getElementById('observacionesNC').value,
                valida1, valida2, valida3, valida4, valida5, valida6, valida7, valida8;
            
                console.log(moment().format('YYYY-MM-DD hh:mm A'));
                console.log(fecha +' '+inicio);
            if(cliente=='' || nombreCliente=='')
            {
              document.getElementById("div-cliente").classList.add("has-error");
              $('#clienteNC').notify('Seleccione un cliente',{
                position:'top center',
                className:'error',
              })
            }else{
              document.getElementById("div-cliente").classList.remove("has-error");
              valida1='correcto';
            }
            if((servicio=='' && promocion=='') || nombreTratamiento=='')
            {
              document.getElementById("div-tratamiento").classList.add("has-error");
              $('#tratamientoNC').notify('Seleccione un tratamiento',{
                position:'top center',
                className:'error',
              })
            }else{
              document.getElementById("div-tratamiento").classList.remove("has-error");
              valida2='correcto';
            }
            if(fecha=='')
            {
              document.getElementById("div-fecha").classList.add("has-error");
              $('#fechaNC').notify('Ingrese fecha',{
                position:'top center',
                className:'error',
              })
            }else{
              document.getElementById("div-fecha").classList.remove("has-error");
              valida3='correcto';
            }
            if(inicio=='')
            {
              document.getElementById("div-inicio").classList.add("has-error");
              $('#inicioNC').notify('Ingrese hora',{
                position:'top center',
                className:'error',
              })
            }else{
              document.getElementById("div-inicio").classList.remove("has-error");
              valida4='correcto';
            }
            if(fin=='')
            {
              document.getElementById("div-fin").classList.add("has-error");
              $('#finNC').notify('Ingrese hora',{
                position:'top center',
                className:'error',
              })
            }else{
              document.getElementById("div-fin").classList.remove("has-error");
              valida5='correcto';
            }
            if(cabina=='')
            {
              document.getElementById("div-cabina").classList.add("has-error");
              
              $('#cabinaNC').notify('Seleccione cabina',{
                position:'top center',
                className:'error',
              })
            }else{
              document.getElementById("div-cabina").classList.remove("has-error");
              valida6='correcto';
            }
            if(status=='')
            {
              document.getElementById("div-status").classList.add("has-error");
              $('#statusNC').notify('Seleccione estado',{
                position:'top center',
                className:'error',
              })
            }else{
              document.getElementById("div-status").classList.remove("has-error");
              valida7='correcto';
            }
            if(cosmetologo=='')
            {
              document.getElementById("div-cosmetologo").classList.add("has-error");
              $('#cosmetologoNC').notify('Seleccione cosmetologo',{
                position:'top center',
                className:'error',
              })
            }else{
              document.getElementById("div-cosmetologo").classList.remove("has-error");
              valida8='correcto';
            }
            // if(fin=='')
            // {
            //   document.getElementById("div-fin").classList.add("has-error");
            //   $('#finMC').notify('Ingresar hora',{
            //     position:'top center',
            //     className:'error',
            //   })
            // }else{
            //   document.getElementById("div-fin").classList.remove("has-error");
            //   var Vfin='correcto';
            // }
        
            var fechaAct=moment().format('YYYY-MM-DD');
            var dt1 = moment(inicio, ["h:mm A"]).format("HH:mm");
            var dt2 = moment().format("HH:mm");
            var dInicio=moment(inicio, ["h:mm A"]).format("HH:mm");
            var dFin=moment(fin, ["h:mm A"]).format("HH:mm");
            console.log(fecha +" "+dt1+" "+ dt2);
            if(fecha==fechaAct && dt1<dt2)
            {
              $('#inicioNC').notify('Hora pasada',{
                position:'top center',
                className:'error',
              })
            }else{
              if(dInicio>dFin)
              {
                $('#inicioNC').notify('Hora mayor a fin',{
                  position:'top center',
                  className:'error',
                });  
              }else{
                if(dInicio==dFin)
                {
                  $('#finNC').notify('Verifique la duración de la cita',{
                        position:'top center',
                        className:'error',
                      });
                }else{
                    var Vdia='correcto';
                }
              }
            }
            if(valida1=='correcto' && valida2=='correcto' && valida3=='correcto' && valida4=='correcto' && valida5=='correcto' && valida6=='correcto' && valida7=='correcto' && valida8=='correcto' && Vdia=='correcto')
            {
              var datos={cliente:cliente, servicio:servicio, promocion:promocion, fecha:fecha, inicio:inicio, fin:fin, cabina:cabina, status:status, cosmetologo:cosmetologo, observaciones:observaciones};
              console.log(datos);
              agendar(datos);              
              $('#modal-agendar').modal('hide');
              $('#modal-loader').modal();
            }
        
          });
          botonVerCliente.addEventListener('click', function(e){
            var cliente=document.getElementById('id-cliente').innerHTML;
            // location.href=base_url+'/expediente/franquiciatario/expedienteF/editarE/'+cliente;
            console.log(rol);
            if(rol==2)
            {
              location.href=base_url+'/clientes/franquiciatario/clienteF/editar/'+cliente;
            }else if(rol==3)
            {
              location.href=base_url+'/clientes/cosmetologo/clienteC/editar/'+cliente;
            }
            
          });

          botonAdeudosE.addEventListener('click', function(e){
            var id=document.getElementById('id-cliente').innerHTML;
            console.log('clickeo adeudo');
            $.ajax({
              url:base_url+"caja/Franquiciatario/cajaF/todosAdeudos/",
              type:'POST',
              dataType: 'json',
              data:{id:id},
              success:function(result){
                console.log(result);
                ventanaAdeudos(result, rol);
                },//end success ajax response
                error:function(xhr, textStatus, errorThrown, error){
                  console.log(xhr.responseText);
                  swal("¡No se pudo conectar con el servidor!","contacte al departamento de sistemas","error")
                    .then((value) => {
                    // location.href="";
                    });
                  },
                });//end ajax  
          });
          botonNuevoCliente.addEventListener('click', function(e){
            $('#modal-nuevoCliente').modal();
            console.log('sdsds');
          });
          botonGuardarCliente.addEventListener('click', function(e){
            var nombre=document.getElementById("nombreCompleto").value;
            var telefono= document.getElementById("celular").value;
            var datos="nombre="+nombre+"&telefono="+telefono;
            if(nombre==""){
              document.getElementById("ayudaNombre").innerHTML="Ingresar nombre completo";
              document.getElementById("contenedorNc").classList.add("has-error");
            }else{
              console.log(datos);
              document.getElementById("ayudaNombre").innerHTML="";
              document.getElementById("contenedorNc").classList.remove("has-error");
              var nombreA="nombre="+nombre;
              $.ajax({
                url:base_url+"caja/Franquiciatario/cajaF/buscarCliente/",
                type:'POST',
                dataType: 'json',
                data:nombreA,
                success:function(result){
                  console.log(result);
                  if(result==1)
                  {
                    guardaCliente(datos, nombre);
                  }
                  else{
                    swal({
                      title: "¡Nombre de cliente existente!",
                      text:"¿Está seguro de guardar esté cliente?",
                      icon: "warning",
                      buttons: ["Cancelar", "Aceptar"],
                      confirm: true,
                    })
                  .then((confirm) => {
                      if(confirm)
                      {
                      console.log('acepto');
                      guardaCliente(datos, nombre);
                      }
                  });
                  }
          
                  },//end success ajax response
                  error:function(){
                    console.log("No hay resultados");
                    swal("¡No se pudo conectar con el servidor!","contacte al departamento de sistemas","error")
                      .then((value) => {
                      location.href="";
                      });
                    },
                  });//end ajax   
            }
          }); //Fin botonNuevoCliente
          botonCancelarNuevoCliente.addEventListener('click', function(e){
            document.getElementById("nombreCompleto").value="";
            document.getElementById("celular").value="";
          });
          botonAdeudosNC.addEventListener('click', function(e){
            var id=document.getElementById('idClienteO').value;
            console.log('clickeo adeudo');
            $.ajax({
              url:base_url+"caja/Franquiciatario/cajaF/todosAdeudos/",
              type:'POST',
              dataType: 'json',
              data:{id:id},
              success:function(result){
                console.log(result);
                ventanaAdeudos(result, rol);
                },//end success ajax response
                error:function(xhr, textStatus, errorThrown, error){
                  console.log(xhr.responseText);
                  swal("¡No se pudo conectar con el servidor!","contacte al departamento de sistemas","error")
                    .then((value) => {
                    // location.href="";
                    });
                  },
                });//end ajax  
          });
          botonCerrarAdeudos.addEventListener('click', function(e){
            // $(this).parents().modal('hide');
            // $('#modal-adeudos').modal('hide');
            if($('#modal-agendar').hasClass('in')){ 
              $('.modal').modal('hide');             
              $('#modal-agendar').modal(); 
            } else if($('#modalEvento').hasClass('in'))
            {
              $('.modal').modal('hide');   
               if(!$('#modalEvento').hasClass('in'))
              {
                  setTimeout(() => {
                    $('#modalEvento').modal();
                  }, 
                  400);
              }
            }
          });





          $('fc-list-table ').addClass('table table-striped');
          $( "#buscarCitasboton" ).click(function() {
            $('#siguenteCitaCliente').css('display','none');
            $('#AnteriorCitaCliente').css('display','none');
            var i = 0;	
            console.log( "Handler for .click() called." );
            var nameclient = $('#buscarCitasCliente').val();
             console.log(nameclient);
            if( nameclient != '') {
              /*alert( nameclient);*/
      
      
              $.ajax({
                              url:base_url+"/agenda/franquiciatario/BuscarcitasF/buscarporcliente",
                              type:'POST',
                              dataType: 'json',
                              data:{name : nameclient},
                              success:function(responseclienteName){
                                console.log("success");
                                  // Access the JSON response //
                                  var json_events = responseclienteName;
                                  console.log(json_events);
                                  console.log(responseclienteName.length);
                                  console.log(json_events);
                                  console.log("registros");
                                  console.log(responseclienteName.length);
                                  if(responseclienteName.length == 0){
                                     alert("No se han encontrado resultados para " + nameclient)
                             return false;
                          }
                                  if(responseclienteName.length == 1){
                                     $('#calendarF').fullCalendar('gotoDate',responseclienteName[0].fecha );
                             $('#calendarF').fullCalendar( 'removeEvents' );
                             $('#calendarF').fullCalendar( 'refetchEvents' );
                             $('#calendarF').fullCalendar( 'addEventSource',json_events );
                             return false;
                          }
      
                          //inicio
                          if(responseclienteName.length > 1){
                          if(i <=  responseclienteName.length) {
                              
                              $('#siguenteCitaCliente').css('display','block');
                              $('#siguenteCitaCliente').addClass('fadeInDown animated');
      
                              $('#calendarF').fullCalendar('gotoDate',responseclienteName[i].fecha );
                              $('#calendarF').fullCalendar( 'removeEvents' );
                              /*$('#calendarF').fullCalendar( 'refetchEvents' );*/
                              $('#calendarF').fullCalendar( 'addEventSource',json_events );
      
                            console.log("i ->" + i);
                            /*if( i <= responseclienteName.length ){*/
                              $("#siguenteCitaCliente" ).click(function() {
                                if( i < responseclienteName.length - 1 && i >= 0){
                                    i++;
                                    console.log("i ->" + i);
                                    $('#calendarF').fullCalendar('gotoDate',responseclienteName[i].fecha );
                                    $('#calendarF').fullCalendar( 'removeEvents' );
                                    /*$('#calendarF').fullCalendar( 'refetchEvents' );*/
                                    $('#calendarF').fullCalendar( 'addEventSource',json_events );
                                
                                    console.log("Incremento " + i);
                                    $('#AnteriorCitaCliente').css('display','block');
                                    $('#AnteriorCitaCliente').addClass('fadeInDown animated');
      
                                    
                                    return false;	
                                       
                                }
                                else {  alert("No Existen más eventos"); 
                                     console.log("i ->" + i);
                                     return false;
                                }
                              });//end function click al hacer click en next
      
      
      
                              $( "#AnteriorCitaCliente" ).click(function() {
                                 if( i > 0 && i <= responseclienteName.length-1){
                                  i--;
                                  console.log("aqui");
                                  console.log(json_events[i]);
                                  console.log("Decremento" + i);	
                                    $('#calendarF').fullCalendar('gotoDate',responseclienteName[i].fecha );
                                    $('#calendarF').fullCalendar( 'removeEvents' );
                                    /*$('#calendarF').fullCalendar( 'refetchEvents' );*/
                                    $('#calendarF').fullCalendar( 'addEventSource',json_events );
                                    return false;
                                }
                                else {  alert("No existen más eventos Anteriores");
                                    console.log("abt i ->" + i);
                                    return false;
                                   }
                                     
                              });//end function click al hacer click en next
                            
                             
                            /*console.log("no hay mas");*/
                          }//end else 2 o mas clientesen citas cambie por if
                          return false;
                        }//end else 1 raiz
      
                          //inicio - fin
      
                              },//end success ajax response
                              error:function(){
                                 alert("No hay resultados para el nombre " + nameclient.toUpperCase());
      
                               },
                             
                          });//end ajax
      
              return false; //para q no haga reload 
            }// end if
            alert("Escribe un nombre");
            return false; //para q no haga reload 
          });//end#buscarcitasboton

          
          $('#filtrarCabinas').click(function() {
            /*alert('clic a cabinas');*/
            
            var idCabina = $('#queryCabina').val();
           /* alert(idCabina);*/
            if(idCabina != '' && idCabina != '-100'){
              
            $.ajax({
                            url:base_url+"/agenda/franquiciatario/BuscarcitasF/buscarporcabina",
                            type:'POST',
                            dataType: 'json',
                            data:{codecabina : idCabina},
                            success:function(responseCabina){
                                // Access the JSON response //
                                console.log("aqui buscacabina");
                                var json_events = responseCabina;
                                console.log("porcabinas");
                                console.log(responseCabina);
                                
                           $('#calendarF').fullCalendar( 'removeEvents' );
                           $('#calendarF').fullCalendar( 'refetchEvents' );
                           $('#calendarF').fullCalendar( 'addEventSource',json_events );
                            },//end success ajax response
                             error:function(){
                               var selectedOption = $('#queryCabina  option:selected').text();
                               alert("No hay resultados para " + selectedOption.toUpperCase());
    
                             },
                        });//end ajax
    
              }//end if
              else if( idCabina == '-100'){
                /*alert("tods");*/
    
                $.ajax({
                            url:base_url+"/agenda/franquiciatario/listacitasF/getEventos",
                            type:'POST',
                            dataType: 'json',
                            data:{codecabina : idCabina},
                            success:function(responseCabina){
                                // Access the JSON response //
                                var json_events1 = responseCabina;
                                console.log(responseCabina);
                                
                           $('#calendarF').fullCalendar( 'removeEvents' );
                           $('#calendarF').fullCalendar( 'refetchEvents' );
                           $('#calendarF').fullCalendar( 'addEventSource',json_events1 );
                            },//end success ajax response
                            error:function(){
                               var selectedOption = $('#queryCabina  option:selected').text();
                               alert("No hay resultados para " + selectedOption.toUpperCase());
    
                             }
                           
                        });
              }
              else {
                alert("Selecciona una cabina");
              }
    
            /*$('#calendarF').fullCalendar({
                             events: JSON.parse(JSON.stringify(json_events)),
                          });*/
            return false; //para q no haga reload 
    
          });//end click filtrar cabinas
    
    
    
        
        $.post(base_url+'agenda/franquiciatario/listacitasF/getEventos',
          function(data){
            $('#cargando').css('display', 'none');
          console.log($.parseJSON(data));
            
            $('#calendarF').fullCalendar({
              header: {
    
                left: 'prev,today,next',
                center: 'title',
                right: 'month,agendaWeek,agendaDay,listMonth,'
              },
              businessHours: {
                // days of week. an array of zero-based day of week integers (0=Sunday)
                dow: [0, 1, 2, 3, 4, 5 ,6 ], // Monday - Thursday
    
                start: '07:00:00', // a start time (10am in this example)
                end: '22:00:00', // an end time (6pm in this example)
              },
              slotLabelFormat:"h:mm a",
              contentHeight: 'auto',
              minTime: "07:00:00",
                   maxTime: "22:00:00",
              /*hiddenDays: [ 0 ],*/
              /*defaultView: 'timelineDay',*/
              defaultDate: new Date(),
              defaultView: 'agendaWeek',
              slotDuration:  '00:30:00',
              snapDuration:  '00:30:00',
              selectLongPressDelay: 30,
              editable: true,
              displayEventEnd: true,
              slotEventOverlap: false,
              aspectRatio: 1.5,
               //es para sobrear sabado y domingo
              navLinks: true, // can click day/week names to navigate views
              weekNumbers: true,
              editable: true,
    
              eventLimit: true, // allow "more" link when too many events
              selectHelper: true,
              selectable: true,
              editable: false,
    
    
              events: $.parseJSON(data),
              
              eventResize: function(event, delta, revertFunc) {
                    var id = event.id;
                var fi = event.start.format();
                var ff = event.end.format();
    
                if (!confirm("Esta seguro de cambiar la fecha?")) {
                  revertFunc();
                }else{
                  $.post(base_url+"agenda/franquiciatario/listacitasF/updEvento",
                  {
                    id:id,
                    fecini:fi,
                    fecfin:ff
                  },
                  function(data){
                    if (data == 1) {
                      alert('Se cambio correctamente');
                      $("#calendarF").fullCalendar("refetchEvents");
                    }else{
                      alert('ERROR.');
                    }
                  });
                }
                //$('#calendarF').fullCalendar('refresh')
                },
                eventClick: function(event, jsEvent, view, element) {
                  $(this).tooltip('hide');
                  console.log('ssss');

                  // alert(event.title);
                  $('#mhdnIdEvento').val(event.id);
                  $('#mtitulo').html(event.title);
                  $('#txtBandaRP').val(event.cabina);
                  $('#txtClientes').val(event.clientes);
                  $('#txtCategoria').val(event.categoria);
                  $('#txtPromociones-hidden').val(event.promociones);
                  $('#txtServicios-hidden').val(event.servicio);
                  $('#txtFecha').val(event.fecha);
                  $('#txtHoraI').val(event.hoi);
                  $('#txtHoraF').val(event.hof);
                  $('#txtEstado').val(event.est);
                  $('#txtObservaciones').val(event.obs);
                  $('#txtUsuario').val(event.usu);
                  document.getElementById('id-cliente').innerHTML=event.idCliente;
                  var boton="div-adeudoE";
                  buscarAdeudos(event.idCliente, boton);
                  // $('#txtFranquicia').val(event.franquicia);
                  $('#modalEvento').modal();
                  //herefecha
                  var date = new Date();
                       var year = date.getFullYear();
                       var month = date.getMonth()+1;
                       var dt = date.getDate();
    
                        if (dt < 10) {
                          dt = '0' + dt;
                        }
                        if (month < 10) {
                          month = '0' + month;
                        }
                        var FechaCompleta = year+'-' + month + '-'+dt;
                  var dateVal = $("#txtFecha").val();
                  console.log("hoy----" + FechaCompleta);
                  if( FechaCompleta > dateVal){
                    console.log("Fecha menor que hoy");
                     $('#txtFecha').val(event.fecha);
                    /* $('.date-picker').datepicker('setDate', dateVal);*/
                  }
                  else {
                     $('.date-picker').datepicker('setDate', dateVal);	
                  }
                            console.log("date ---------" + dateVal);
                           
                  if (event.url) {
                    
                    
                    return false;
                  }
    
    
    
                  if( event.servicio != '' ){
                    console.log("servicio" + event.servicio + $('#txtServicios-hidden').val());
                    console.log("deberia ser vacia" + event.promociones);
                $.ajax({
    
                  
                            url:base_url+"/agenda/franquiciatario/listacitasF/service",
                            type:'POST',
                            dataType: 'json',
                            data:{codeService : event.servicio},
                            success:function(response){
                                // Access the JSON response //
                                console.log(response);
                                $('#txtServicios').val(response[0].NombreServicio);
                                $('#busquedaServicioP').val(response[0].NombreServicio);
                                 $('#txtServicios-hidden').val(event.servicio);
                                $('#txtPromociones').val("");
                                $('#txtServicios').parents('.contain-servicio').siblings('.contain-promocion').css('display','none');
                                $('#txtPromociones').parents('.contain-promocion').siblings('.contain-servicio').css('display','block');
                                console.log("Servicio ->" + event.servicio);
                            }
                        });
              }
              if( event.promociones != '' ){
                console.log("promocion" + event.promociones);
                console.log("deberia ser vacia" + event.servicio);
                $.ajax({
                            url:base_url+"/agenda/franquiciatario/listacitasF/loadNamePromo",
                            type:'POST',
                            dataType: 'json',
                            data:{codePromo : event.promociones},
                            success:function(response){
                                // Access the JSON response //
                                $('#txtServicios').val("");
                                console.log(response);
                               $('#txtPromociones').val(response[0].NombrePromocion);
                               console.log("miriame" + response[0].NombrePromocion);
                               $('#busquedaServicioP').val(response[0].NombrePromocion);
                               $('#txtPromociones-hidden').val(event.promociones);
                               $('#txtServicios').val("");
                                $('#txtServicios').parents('.contain-servicio').siblings('.contain-promocion').css('display','block');
                               /*$('.contain-servicio').css('display','none');*/
                               $('#txtPromociones').parents('.contain-promocion').siblings('.contain-servicio').css('display','none');
                                
                                console.log("promocion ->" + event.promociones);
                            }
                        });
    
    
    
              }
              },
              select: function(date, start, end, jsEvent, view,) {
    
                  var inicio1=moment(date).format('YYYY-MM-DD HH:mm:ss');
                  if (inicio1<(moment().format('YYYY-MM-DD HH:mm:ss'))) {
                  
                  $('#calendarF').fullCalendar('unselect');

                  $('#calendarF').notify("Fuera de tiempo!!",  { 
                    position:"top center",
                    autoHideDelay: 900,
                    className: 'error',
                  });
                  return false;
                  }else{
                  // console.log('date '+moment(date).format('YYYY-MM-DD HH:mm:ss'));
                  // console.log('inicio '+moment(start).format('YYYY-MM-DD HH:mm:ss'));
                  // console.log('fin '+moment(end).format('YYYY-MM-DD HH:mm:ss'));
    
                  // alert('Coordinates: ' + jsEvent.pageX + ',' + jsEvent.pageY);
    
                  // alert('Current view: ' + view.name);
    
                  // change the day's background color just for fun
                  var fecha=moment(date).format('YYYY-MM-DD');
                  // var inicio=moment(date).format('HH:mm:ss');
                  // var fin=moment(start).format('HH:mm:ss');
                  // var cliente=document.getElementById('idc').value;
                  // var codigo=document.getElementById('codigoM').value;
                  // var tipo= document.getElementById('tipo').value;
                  // var cabina=document.getElementById('cabina').value;
                  // if(cabina=='')
                  // {
                  // document.getElementById('cabina').focus();
                  // $('#cabina').notify('seleccione una cabina',{
                  // 	position:'bottom center',
                  // 	className:'error'
                  // });
                  // }else{
                  // var datos='cliente='+cliente+'&codigo='+codigo+'&tipo='+tipo+'&fecha='+fecha+'&inicio='+inicio+'&fin='+fin+'&cabina='+cabina;
                  limpiarM();
                  document.getElementById('fechaNC').value=moment(fecha).format('YYYY-MM-DD');
                  document.getElementById('inicioNC').value=moment(date).format('h:mm a');
                  document.getElementById('finNC').value=moment(start).format('h:mm a');
                  
                               
                  // document.getElementById('clienteMC').innerHTML=document.getElementById('title').value;
                  // $('#fechaMC').timepicker({
                  //   timeFormat: 'DD-MM-YYYY',
                  //   minTime: new Date(),
                  //   // maxTime: '10:00 PM',
                  //  });
                  
                  $('#inicioNC').timepicker({
                    timeFormat: 'h:i A',
                    'step': '15',
                    minTime: '7:00 AM',
                    maxTime: '10:00 PM',
                  });
                  $('#finNC').timepicker({
                    timeFormat: 'h:i A',
                    'step': '15',
                    minTime: '7:00 AM',
                    maxTime: '10:00 PM',
                  });
                  // $('#inicioNC').timepicker('option',{'maxTime': moment(start).format('h:mm a')});
                  // $('#finNC').timepicker('option',{'minTime': moment(date).format('h:mm a')});
                  $('#modal-agendar').modal();
    
                  var dt1 = moment(date).format("HH:mm:ss");
                  var dt2 = moment(start).format("HH:mm:ss");
                  console.log(dt1 +" / "+ dt2);
    
                  duracion(dt1, dt2);
    
                  }
                  },
                eventRender: function(event, element) {
                // $('[data-toggle="tooltip"]').tooltip();
                $(element).tooltip({title: event.descripcion,
                  placement: 'auto',
                  trigger: 'hover',
                  container: 'body',
                });  
                // $(element).tooltip('show');  
                  /*$('#modalEvento').modal('hide');
                    var el = element.html();
                    element.html("<div style='width:100%;float:left;'>" + el + "</div>" + 
                          "<div style='color:red;text-align:right;' class='closeE'>" +
                            "<i class='fa fa-trash'></i>" +
                          "</div>");
                    element.find('.closeE').click(function(){
                      if (!confirm("Esta seguro de eliminar el evento?")) {
                    return false;
                    
                  }else{
                    $('#modalEvento').modal('hide');
                    var id = event.id;
                    $.post("<?php echo base_url();?>agenda/franquiciatario/listacitasF/deleteEvento",
                    {
                      IdAgenda:id
                    },
                    function(data){
                      $('#modalEvento').modal('hide');
                      if (data == 1) {
                        
                        $('#calendarF').fullCalendar( 'removeEvents', event.id);
                        alert('Se elimino correctamente');
                        $('#modalEvento').modal('hide');
    
                      }else{
                        $('#modalEvento').modal('hide');
                        alert('ERROR.');
                      }
                    });
                        
                      }
    
                    });*/
                }
              
            });
          });
          $('#deleteCita').click(function(){
            console.log("eliminar");
            var idVenta = $(this).parents().find('.modal-body #mhdnIdEvento').val();
            console.log(idVenta);
            
            $.ajax({
                    url:base_url+"agenda/franquiciatario/listacitasF/deleteEvento",
                  type:'POST',
                  dataType: 'json',
                  data:{  IdAgenda : idVenta, },
                  success:function(response){
                    // Access the JSON response //
                  $.confirm({
                      title: 'Estas seguro que deseas eliminar ésta cita?',
                      content: 'Una vez eliminada no volverá a aparecer en el calendario',
                      buttons: {
                          confirmar: function () {
                              /*console.log("Se elimino correctamente");*/
                        console.log(response);
                        if( response == 1){
                          $.alert("se ha eliminado correctamente");
                          $('#modalEvento').modal('hide');
                          $('#calendarF').fullCalendar( 'removeEvents', idVenta);
                          console.log(response);
                          /*location.reload();*/
                        }
                          },
                          cancelar: function () {
                              $.alert('No se eliminó');
                          },
                      },
                      closeIcon: true,
                       draggable: true,
                  });
                    
                    /*location.reload();	 */               
                  }
                });	
                
          });
          $('#btnUpdEvento').click(function(){
            /*alert("Desea realizar cambios");*/
            // var fechaAgendada = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtFecha').val();
            var fechaAgendada = $('#txtFecha').val();
            console.log(fechaAgendada);
          if(fechaAgendada != ''){
            console.log("aqui sin FEcha vacia");
              
          // var idCabina = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtBandaRP').val();
          var idCabina = $('#txtBandaRP').val();
          // var nombreCliente = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtClientes').val();
          var nombreCliente = $('#txtClientes').val();
          // var idCategoria = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtCategoria').val();
          var idCategoria = $('#txtCategoria').val();
          // var codePromo = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtPromociones-hidden').val();        
          var codePromo = $('#txtPromociones-hidden').val();
          // console.log(codePromo);
          // var codeService =$(this).parents('.modal-footer').siblings('.modal-body').find('#txtServicios-hidden').val();
          var codeService =$('#txtServicios-hidden').val();
          // console.log(codeService);
          // var horai = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtHoraI').val();
          var horai = $('#txtHoraI').val();
          // var horaf = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtHoraF').val();
          var horaf = $('#txtHoraF').val();
          // var estado = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtEstado').val();
          var estado = $('#txtEstado').val();
          // var observaciones = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtObservaciones').val();
          var observaciones = $('#txtObservaciones').val();
          // var idUserchange = $(this).parents('.modal-footer').siblings('.modal-body').find('#txtUsuario').val();
          var idUserchange = $('#txtUsuario').val();
          // var idEvento = $(this).parents('.modal-footer').siblings('.modal-body').find('#mhdnIdEvento').val();
          var idEvento = $('#mhdnIdEvento').val();
            /* console.log(nombreCliente + "->" + idEvento );*/
          var fechaInicio = moment(horai, ["h:mm A"]).format("HH:mm");
          var fechaFin = moment(horaf, ["h:mm A"]).format("HH:mm");
          var item =$('#busquedaServicioP').val();
          if(fechaInicio > fechaFin)
          {
            $('#txtHoraI').notify('Hora mayor a fin',{
              position:'top center',
              className:'error',
            }); 
          }else{
            if(fechaInicio == fechaFin)
            {
              $('#txtHoraI').notify('Verifique la duración de la cita',{
                position:'top center',
                className:'error',
              }); 
            }else{
            if(item==''){
              $('#busquedaServicioP').notify('Ingrese un tratamiento',{
                position:'top center',
                className:'error',
              });
            }else{
              console.log(idCabina);
              $.ajax({
                    url:base_url+"agenda/franquiciatario/listacitasF/updEvento2",
                  type:'POST',
                  dataType: 'json',
                  data:{   
                      idCabinaA      : idCabina         , 
                      nombreClienteA : nombreCliente    ,
                      idCategoriaA   : idCategoria      , 
                        codePromoA  : codePromo 	   , 
                      codeServiceA  : codeService  	   ,
                      fechaAgendadaA : fechaAgendada	   ,
                        hourStart    : horai 	 	   ,
                      hourEnd	   : horaf 	 	   ,
                      status        : estado 	 	   ,
                      script		   : observaciones    ,
                      user		   : idUserchange     ,
                      idEventoA 	   : idEvento     ,
                                      },
                  success:function(response){
                  // Access the JSON response //
                  console.log("response");
                  console.log(response);
                  if( response == 1){
                    swal({
                      title: "¡Cambios guardados correctamente!",
                      icon: "success",
                      button: "Aceptar",
                      confirm: true,
                      closeOnClickOutside: false,
                      closeOnEsc: false,
                    })
                    .then((value) => {
                      location.href="";
                      });        
                    console.log(response);
                    // location.reload();
                  }else if(response == 0)
                  {
                    swal({
                      title:"¡No se actualizaron los datos!",
                      icon: "warning",
                      button: "Aceptar",
                      confirm: true,
                      closeOnClickOutside: false,
                      closeOnEsc: false,
                    });
                  }
                  /*location.reload();	 */               
                },
                error:function(xhr, textStatus, errorThrown, error){
                  console.log(xhr.responseText);
                  console.log("No hay resultados");
        
                  },
              });	
             }
            }
          }
          }//end Fecha vacia
          else {
            alert("Elige una Fecha");
          }
          });
 }); //Fin window.addEventListener
//  ---------------Funciones----------------
function limpiarM()
{
    document.getElementById('clienteNC').value='';
    document.getElementById('idClienteO').value='';
    document.getElementById('tratamientoNC').value='';
    document.getElementById('idServicio').value='';
    document.getElementById('idPromocion').value='';
    document.getElementById('cosmetologoNC').value='';
    $('#cabinaNC').selectpicker('val', '');
    document.getElementById('observacionesNC').value='';  
    document.getElementById('statusNC').value='';
    document.getElementById("div-cliente").classList.remove("has-error");
    document.getElementById("div-tratamiento").classList.remove("has-error");
    document.getElementById("div-fecha").classList.remove("has-error");
    document.getElementById("div-inicio").classList.remove("has-error");
    document.getElementById("div-fin").classList.remove("has-error");
    document.getElementById("div-cabina").classList.remove("has-error");
    document.getElementById("div-status").classList.remove("has-error");
    document.getElementById("div-cosmetologo").classList.remove("has-error");
    document.getElementById("adeudoClienteMC").classList.add("invisible");
    $('.notifyjs-wrapper').trigger('notify-hide');
}

 function duracion(dt1, dt2)
{
  var hora1 = (dt2).split(":"),
  hora2 = (dt1).split(":"),
  t1 = new Date(),
  t2 = new Date();
   
  t1.setHours(hora1[0], hora1[1], hora1[2]);
  t2.setHours(hora2[0], hora2[1], hora2[2]);
   
  //Aquí hago la resta
  t1.setHours(t1.getHours() - t2.getHours(), t1.getMinutes() - t2.getMinutes(), t1.getSeconds() - t2.getSeconds());
   
  //Imprimo el resultado
  console.log("Duración: " + (t1.getHours() ? t1.getHours() + (t1.getHours() > 1 ? " horas" : " hora") : "") + (t1.getMinutes() ? ", " + t1.getMinutes() + (t1.getMinutes() > 1 ? " minutos" : " minuto") : "") + (t1.getSeconds() ? (t1.getHours() || t1.getMinutes() ? " y " : "") + t1.getSeconds() + (t1.getSeconds() > 1 ? " segundos" : " segundo") : ""));
  document.getElementById('duracionNC').innerHTML=(t1.getHours() ? t1.getHours() + (t1.getHours() > 1 ? " horas" : " hora") : "") + (t1.getMinutes() ? "  " + t1.getMinutes() + (t1.getMinutes() > 1 ? " minutos" : " minuto") : "") + (t1.getSeconds() ? (t1.getHours() || t1.getMinutes() ? " y " : "") + t1.getSeconds() + (t1.getSeconds() > 1 ? " segundos" : " segundo") : "")
}
function agendar(datos)
{
  $.ajax({
    url:base_url+"agenda/franquiciatario/listacitasF/nuevaCita/",
    type:'POST',
    dataType: 'json',
    data:datos,
    success:function(result){
      console.log(result);

      $('#calendarF').fullCalendar( 'removeEvents' );
      $('#calendarF').fullCalendar( 'refetchEvents' );
      $('#calendarF').fullCalendar( 'addEventSource', result);
      $('#modal-loader').modal('hide');
      $.notify("CITA GUARDADA CORRECTAMENTE !!",  { 
        position:"top center",
        className: 'success cambia-letra',
      });
      },//end success ajax response
      error:function(xhr, textStatus, errorThrown, error){
        console.log(xhr.responseText);
        console.log("No hay resultados");
        $('#modal-loader').modal('hide');
        },
        
      });//end ajax   
}
function buscarAdeudos(id, boton)
{
  console.log(id);
  $.ajax({
    url:base_url+"caja/Franquiciatario/cajaF/buscarAdeudos/",
    type:'POST',
    dataType: 'json',
    data:{id:id},
    success:function(result){
      console.log(result);
      if(result=='adeudo')
      {
        if($('#div-cancelar').hasClass('cosmetologo'))
        {
          document.getElementById(boton).classList.remove('invisible');
          document.getElementById('div-cancelar').classList.add('col-md-3');
          document.getElementById('div-cancelar').classList.remove('col-md-4');
          document.getElementById('div-ver').classList.add('col-md-3');
          document.getElementById('div-ver').classList.remove('col-md-4');
          document.getElementById('div-guardar').classList.add('col-md-3');
          document.getElementById('div-guardar').classList.remove('col-md-4');
        }else{
        document.getElementById(boton).classList.remove('invisible');
        document.getElementById('div-cancelar').classList.add('div-boton');
        document.getElementById('div-cancelar').classList.remove('col-md-3');
        document.getElementById('div-eliminar').classList.add('div-boton');
        document.getElementById('div-eliminar').classList.remove('col-md-3');
        document.getElementById('div-adeudoE').classList.add('div-boton');
        document.getElementById('div-adeudoE').classList.remove('col-md-3');
        document.getElementById('div-ver').classList.add('div-boton');
        document.getElementById('div-ver').classList.remove('col-md-3');
        document.getElementById('div-guardar').classList.add('div-boton');
        document.getElementById('div-guardar').classList.remove('col-md-3');
        }
      }else{
        if($('#div-cancelar').hasClass('cosmetologo'))
        {
          document.getElementById(boton).classList.add('invisible'); 
          document.getElementById('div-cancelar').classList.remove('col-md-3');
          document.getElementById('div-cancelar').classList.add('col-md-4');
          document.getElementById('div-ver').classList.remove('col-md-3');
          document.getElementById('div-ver').classList.add('col-md-4');
          document.getElementById('div-guardar').classList.remove('col-md-3');
          document.getElementById('div-guardar').classList.add('col-md-4');
        }else{
          document.getElementById(boton).classList.add('invisible'); 
          document.getElementById('div-cancelar').classList.remove('div-boton');
          document.getElementById('div-cancelar').classList.add('col-md-3');
          document.getElementById('div-eliminar').classList.remove('div-boton');
          document.getElementById('div-eliminar').classList.add('col-md-3');
          document.getElementById('div-ver').classList.remove('div-boton');
          document.getElementById('div-ver').classList.add('col-md-3');
          document.getElementById('div-guardar').classList.remove('div-boton');
          document.getElementById('div-guardar').classList.add('col-md-3');
        }
      }
    },//end success ajax response
    error:function(){
      console.log("No hay resultados");
      swal("¡No se pudo conectar con el servidor!","contacte al departamento de sistemas","error")
        .then((value) => {
        location.href="";
        });
      },
    });//end ajax   
}
function ventanaAdeudos(result, rol)
{
 $("#listaAdeudos tr").remove();
 console.log(result);
 console.log(rol);
  var fila, tr, editar;
  for(var i=0; i<result.length; i++)
  {
      if(result[i] != '')
      {
       if(rol==2)
       {
         switch(result[i][6])
         {
             case 'PROD':
                  editar="<a href='"+base_url+"pagos/franquiciatario/pagosF/editar/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                 break;
             case 'SA':
                 editar="<a href='"+base_url+"pagos/franquiciatario/pagosF/editar2/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                 break;
             case 'SG':
                     editar="<a href='"+base_url+"pagos/franquiciatario/pagosF/editar3/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                 break;
             case 'PROM':
                     editar="<a href='"+base_url+"pagos/franquiciatario/pagosF/editarPro/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                 break;
             default:
                     editar="";
                 break;
         }
        }else if(rol==3)
        {
          switch(result[i][6])
          {
              case 'PROD':
                   editar="<a href='"+base_url+"pagos/cosmetologo/pagosC/editar/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                  break;
              case 'SA':
                  editar="<a href='"+base_url+"pagos/cosmetologo/pagosC/editar2/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                  break;
              case 'SG':
                      editar="<a href='"+base_url+"pagos/cosmetologo/pagosC/editar3/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                  break;
              case 'PROM':
                      editar="<a href='"+base_url+"pagos/cosmetologo/pagosC/editarPro/"+result[i][0]+"/"+result[i][7]+"' class='label label-primary'><span class='glyphicon glyphicon-pencil'></a></span>";
                  break;
              default:
                      editar="";
                  break;
          }
        }
        fila="<tr><td class='invisible'>"+result[i][0]+"</td><td>"+result[i][8]+"</td><td>"+result[i][2]+"</td><td>$ "+result[i][3]+"</td><td>$ "+result[i][4]+"</td><td>"+editar+"</td><tr>";
        tr= document.createElement("TR");
        tr.innerHTML=fila;
        document.getElementById("listaAdeudos").appendChild(tr);
        console.log(result[i][8]);
      }
  }
  $("#modal-adeudos").modal();
}
function guardaCliente(datos, nombre)
{
  console.log(nombre);
  $.ajax({
    url:base_url+"caja/Franquiciatario/cajaF/guardarCliente/",
    type:'POST',
    dataType: 'json',
    data:datos,
    success:function(id){
      console.log(id);
      $('#modal-nuevoCliente').modal('hide');         
      $.notify("CLIENTE GUARDADO CORRECTAMENTE !!",  { 
        position:"top center",
        className: 'success cambia-letra',
      });
      if (id!='' && nombre!='') {
        $(function() {
          $("#clienteNC").keyup();
        });
            $('[name="idClienteO"]').val(id);            
            $('[name="clienteNC"]').val(nombre);
            $('[name="nombreClienteO"]').val(nombre);
    
      }
      document.getElementById("nombreCompleto").value="";
      document.getElementById("celular").value="";
    },//end success ajax response
    error:function(){
      console.log("No hay resultados");
      swal("¡No se pudo conectar con el servidor!","contacte al departamento de sistemas","error")
        .then((value) => {
        location.href="";
        });
      },
    });//end ajax   
}